Subject: Re: autoCRLF, git status, git-gui, what is the desired behavior?

From: Mark Levedahl <[email-masked]>
Date: Sun, 25 Feb 2007 16:14:04 -0500

Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
>   
> It might be interesting to try this patch.
>   
This patch makes no difference to the problems I noted in my second 
message where the file undergoes crlf->lf translation on commit, so 
working copy is known to be different than blob. Is it the case that the 
size info stored in the index reflects the size of the blob rather than 
of the working copy? Absent autoCRLF these are of course identical, but 
with autoCRLF they are not and what we need stored is the working file 
info (at least for checking dirty-ness).

Mark